Bug 1571614 - Service 'Order' button is colored Gray (Looks inactive).
Summary: Service 'Order' button is colored Gray (Looks inactive).
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Hilda Stastna
QA Contact: Angelina Nikiforova
URL:
Whiteboard: services
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 08:27 UTC by Ilanit Stein
Modified: 2019-08-19 11:20 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:43 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
service_order.png (76.21 KB, image/png)
2018-04-25 08:27 UTC, Ilanit Stein
no flags Details
all_services_order.png (113.12 KB, image/png)
2018-04-25 08:28 UTC, Ilanit Stein
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:48 UTC

Description Ilanit Stein 2018-04-25 08:27:22 UTC
Created attachment 1426482 [details]
service_order.png

Description of problem:
Services->Service catalogs->All services->Specific service (In this page the 'Order' button appear in color gray, and not in blue.

Version-Release number of selected component (if applicable):
CFME-5.9.2.1

How reproducible:
100%

Actual results:
Service 'Order' button is in color Gray.

Expected results:
Service 'Order button should be in color blue (as all active buttons are marked in CFME)

Additional info:
When pressing the Service 'Order' gray button it is executed OK
In the Services->Service catalogs->All services list, the 'Order' buttons indeed appear in blue.

Comment 2 Ilanit Stein 2018-04-25 08:28:03 UTC
Created attachment 1426484 [details]
all_services_order.png

Comment 3 Hilda Stastna 2018-04-25 12:56:42 UTC
fixing https://github.com/ManageIQ/manageiq-ui-classic/pull/3843

Comment 4 CFME Bot 2018-04-26 09:48:40 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/e607d0e10318c19c0382a041e133f1efa3feff5a
commit e607d0e10318c19c0382a041e133f1efa3feff5a
Author:     Hilda Stastna <hstastna@redhat.com>
AuthorDate: Wed Apr 25 08:36:00 2018 -0400
Commit:     Hilda Stastna <hstastna@redhat.com>
CommitDate: Wed Apr 25 08:36:00 2018 -0400

    Change Service 'Order' button to blue color to look active

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1571614

    Change Service 'Order' button to blue color to look active under
    Services > Catalogs > All Services > some specific Service.

 app/views/catalog/_svccat_tree_show.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 Jan Zmeskal 2018-09-17 13:53:03 UTC
Verified on CFME 5.10.0.15

Comment 7 errata-xmlrpc 2019-02-07 23:01:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.